<script>
    import NavItemMobile from "/src/components/nav/navItemMobile.svelte"
    export let data
    export let activeTabValue = null
    const handleClick = (tabValue) => () => {
        if (activeTabValue === tabValue) {
            activeTabValue = null
        } else {
            activeTabValue = tabValue
        }
    }
</script>

<div class="mt-2">
    <div class="border-b border-gray-200">
        <div class="flex items-center justify-center">
            <div class=" flex flex-1:items-center justify-end space-x-6 px-4">
                <a
                    href="sign-in"
                    class="px-1 text-sm font-medium text-gray-700 hover:text-gray-800"
                    >Se connecter</a>
                <span class="h-6 w-px bg-gray-200" aria-hidden="true" />
                <a
                    href="#"
                    class="px-1 text-sm font-medium text-gray-700 hover:text-gray-800"
                    >S'inscrire</a>
            </div>
        </div>
        <div
            class="-mb-px flex flex-col px-4"
            aria-orientation="vertical"
            role="tablist">
            {#each data.tabs as tab}
                <button
                    on:click={handleClick(tab.value)}
                    class:selected={tab.value == activeTabValue}
                    id="button-{tab.value}"
                    class="text-gray-900 text-left border-transparent flex-1 whitespace-nowrap py-4 px-1 border-b-2 text-base font-medium"
                    aria-controls="button-{tab.value}"
                    aria-expanded={tab.value == activeTabValue}
                    role="tab"
                    type="button">
                    {tab.label}
                </button>
                {#if activeTabValue == tab.value}
                    <div>
                        <NavItemMobile {tab} />
                    </div>
                {/if}
            {/each}
        </div>
    </div>
</div>

<style>
    .selected {
        @apply border-indigo-600;
        @apply text-indigo-600;
    }
</style>
